import csv
import xml.etree.ElementTree as ET
import requests

# URL of the XML file
xml_url = 'https://get.feedink.com/09779bb7930c8a0a44360e12b538ae3c'

# Define the output CSV file
csv_file = 'natura.csv'

# Prefix for the product ID
id_prefix = 'natura_'

# Download the XML file
response = requests.get(xml_url)
xml_data = response.content

# Parse the XML data
root = ET.fromstring(xml_data)

# Open the CSV file in write mode
with open(csv_file, 'w', newline='') as f:
    writer = csv.writer(f)

    # Write the header row
    writer.writerow(['sku', 'price', 'qty'])

    # Iterate over each 'o' element in the XML
    for o in root.iter('o'):
        attrs = o.find('attrs')
        product_id = o.get('id')
        price = o.get('price')
        product_id = id_prefix + product_id
        
        try:
            stock = attrs.find(".//a[@name='Ilosc']").text
            if '.' in stock:
                stock = stock[:stock.index('.')]
        except:
            stock = '0'
        

        writer.writerow([product_id, price, stock])

print(f"Product data extracted and saved to '{csv_file}'.")